Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class FlatRecordTypeChoiceFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.FlatRecordTypeChoiceFactoryAssembler

    public class FlatRecordTypeChoiceFactoryAssembler

extends FlatFileOptionsFactoryAssembler

Assembler for assembling a `FlatRecordTypeChoiceFactory`.

See Also:
  `FlatRecordTypeChoiceFactory`

Constructor Summary
`FlatRecordTypeChoiceFactoryAssembler()`

Method Summary
`FlatRecordTypeFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatRecordFieldFactory[] fieldTypeFactories)`
`void` | `injectComponent(FlatRecordTypeSelectionFactory[] flatRecordTypeSelectionFactories)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatRecordTypeChoiceFactoryAssembler

    public FlatRecordTypeChoiceFactoryAssembler()

Method Detail

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(FlatRecordFieldFactory[] fieldTypeFactories)

### injectComponent

    public void injectComponent(FlatRecordTypeSelectionFactory[] flatRecordTypeSelectionFactories)

### assemble

    public FlatRecordTypeFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD